package replay

import (
	"git.pyer.club/kingecg/goonvif/onvif/xsd"
	onvifmodel "git.pyer.club/kingecg/goonvif/onvif/xsd/onvif"
)

type GetReplayUri struct {
	XMLName        string                    `xml:"tse:GetReplayUri"`
	StreamSetup    onvifmodel.StreamSetup    `xml:"trp:StreamSetup"`
	RecordingToken onvifmodel.ReferenceToken `xml:"trp:RecordingToken"`
}

type GetReplayUriResponse struct {
	Uri xsd.AnyURI
}
